Skip to main content
`Ctrl`+`K`

# PetscDALETKFGetObsPerVertex

Gets the number of local observations per vertex for the LETKF algorithm.

## Synopsis

    PetscErrorCode PetscDALETKFGetObsPerVertex(PetscDA da, PetscInt *n_obs_vertex)

Not Collective

## Input Parameter

- da - the `PetscDA` context

## Output Parameter

- n_obs_vertex - number of observations per vertex

## See Also

PetscDA: Data Assimilation, `PETSCDALETKF`, `PetscDA`, `PetscDALETKFSetObsPerVertex()`

## Level

advanced

## Location

src/ml/da/impls/ensemble/letkf/letkfilter.c

## Examples

src/ml/da/tutorials/ex2.c

## Implementations

PetscDALETKFGetObsPerVertex_LETKF() in src/ml/da/impls/ensemble/letkf/letkfilter.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages